package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 检查报告
 */
@Entity
@Table(name = "inspection_report")
public class InspectionReport {
    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    private Boolean deleted;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 检查报告单id
     */
    @Column(name = "report_id", nullable = false)
    private String reportId;

    /**
     * 检查报告单标题名称
     */
    @Column(name = "report_title")
    private String reportTitle;

    /**
     * 检查报告单审核日期（YYYY-MM-DD HH:MM:SS）
     */
    @Column(name = "report_date")
    private Date reportDate;

    /**
     * 报告状态 0 未审核 1已审核
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 患者年龄
     */
    @Column(name = "patient_age")
    private String patientAge;

    /**
     * 性别
     */
    @Column(name = "sex")
    private Integer sex;

    /**
     * 临床诊断
     */
    @Column(name = "clinical_diagnosis")
    private String clinicalDiagnosis;

    /**
     * 住院号
     */
    @Column(name = "inpatient_id")
    private String inpatientId;

    /**
     * 门诊就诊流水号
     */
    @Column(name = "clinic_seq")
    private String clinicSeq;

    /**
     * HIS系统就诊人Id
     */
    @Column(name = "his_patient_id", nullable = false)
    private String hisPatientId;

    /**
     * 医院Id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    @Column(name = "report_num")
    private String reportNum;

    @Column(name = "report_type")
    private String reportType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getReportTitle() {
        return reportTitle;
    }

    public void setReportTitle(String reportTitle) {
        this.reportTitle = reportTitle;
    }

    public Date getReportDate() {
        return reportDate;
    }

    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getClinicalDiagnosis() {
        return clinicalDiagnosis;
    }

    public void setClinicalDiagnosis(String clinicalDiagnosis) {
        this.clinicalDiagnosis = clinicalDiagnosis;
    }

    public String getInpatientId() {
        return inpatientId;
    }

    public void setInpatientId(String inpatientId) {
        this.inpatientId = inpatientId;
    }

    public String getClinicSeq() {
        return clinicSeq;
    }

    public void setClinicSeq(String clinicSeq) {
        this.clinicSeq = clinicSeq;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getReportNum() {
        return reportNum;
    }

    public void setReportNum(String reportNum) {
        this.reportNum = reportNum;
    }

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }
}
